<?php
if(!function_exists('utf8_encode_recursivo')) {
    function utf8_encode_recursivo($datos)
    {
        if (is_array($datos)) {
            foreach ($datos as $llave => $valor) {
                $datos[$llave] = utf8_encode_recursivo($valor);
            }
        }
        else if (is_string($datos)) {
            return utf8_encode($datos);
        }

        return $datos;
    }
}
